### Method

# Vips Image get_n_pages

#### Declaration [src]

    int
    vips_image_get_n_pages (
      VipsImage* image
    )

#### Description [src]

Fetch and sanity-check `VIPS_META_N_PAGES`. Default to 1 if not present or crazy.

This is the number of pages in the image file, not the number of pages that have been loaded into `image`.

#### Return value

Type: `int`

The number of pages in the image file.